<?php

require_once __DIR__ . '/../MnetDbManager.php';

class MnetURLs
{
    public static function block($urls)
    {
        if (MnetDbManager::truncateIfExists(MnetDbManager::$MNET_BLOCKED_URLS)) {
            foreach ($urls as $url) {
                MnetDbManager::insertData(MnetDbManager::$MNET_BLOCKED_URLS, array('url' => $url));
            }
            return true;
        }
        return false;
    }

    public static function getAllBlocked()
    {
        global $wpdb;
        $urls = $wpdb->get_results("Select url from " . MnetDbManager::tableName(MnetDbManager::$MNET_BLOCKED_URLS), ARRAY_A);
        return array_map(function ($url) {
            return $url['url'];
        }, $urls);
    }

    public static function blockForPageSlot($slot_name, $urls)
    {
        $slot_mapping = self::getSlotUrlMapping($slot_name);
        if ($slot_mapping) {
            MnetDbManager::updateData(MnetDbManager::$MNET_SLOT_BLOCKED_URLS, array('url_list' => $urls), array('id' => $slot_mapping[0]['id']));
        } else {
            MnetDbManager::insertData(MnetDbManager::$MNET_SLOT_BLOCKED_URLS, array('slot_name' => $slot_name, 'url_list' => $urls));
        }
    }

    public static function getSlotUrlMapping($slot_name)
    {
        global $wpdb;
        return $wpdb->get_results("Select * from " . MnetDbManager::tableName(MnetDbManager::$MNET_SLOT_BLOCKED_URLS) . " where slot_name='$slot_name'", ARRAY_A);
    }

    public static function getPageSlotBlockedUrls($slot_name)
    {
        $slot_url_mapping = self::getSlotUrlMapping($slot_name);
        if (!empty($slot_url_mapping)) {
            if (strlen($slot_url_mapping[0]['url_list'])) {
                return preg_split('/\;/', $slot_url_mapping[0]['url_list']);
            }
        }
        return array();
    }
}
