<?php
require_once __DIR__ . '/../MnetDbManager.php';
require_once __DIR__ . '/../utils/MnetAdSlot.php';
require_once __DIR__ . '/../admin/MnetAdTag.php';
require_once __DIR__ . '/../admin/MnetAuthManager.php';
require_once __DIR__ . '/../utils/constants.php';

if (MnetAuthManager::isLoggedIn() && (MnetAuthManager::getIsEapCustomer() || !MnetAuthManager::getSiteMapped())) {
    MnetAuthManager::getStatus();
}

$useremail = MnetAuthManager::getCustomerEmail();
$username = MnetAuthManager::getCustomerName();
$slot_count = MnetAdSlot::count();
$adtags_count = MnetAdTag::count();
$adtagSizesAvailable = MnetAdTag::getAvailableSizes();
$isSiteReject = MnetAuthManager::isSiteReject();
$isEap = MnetAuthManager::getIsEapCustomer();
$siteStatus = MnetAuthManager::getSiteStatus();
$modules = MnetModuleManager::getModules();
?>
<script>
    Object.defineProperty(window, 'MNET_PLUGIN', {
        value: Object.freeze({
            url: '<?php echo plugin_dir_url(__DIR__) . '../';  ?>',
            version: '<?php echo MNET_PLUGIN_VERSION;  ?>'
        }),
        configurable: false,
        writable: false
    });
    window.MNET_USER_DATA = {
        email: <?php echo json_encode($useremail); ?>,
        name: <?php echo json_encode($username); ?>
    };

    window.mnetConfig = {
        siteRejected: +<?php echo json_encode($isSiteReject); ?>,
        adtagCount: +<?php echo json_encode($adtags_count); ?>,
        slotCount: +<?php echo json_encode($slot_count); ?>,
        isEap: +<?php echo json_encode($isEap); ?>,
        availableAdSizes: '<?php echo $adtagSizesAvailable; ?>',
        siteStatus: '<?php echo $siteStatus; ?>',
        modules: JSON.parse('<?php echo json_encode($modules); ?>'),
        adstxtParserPath: '<?php echo plugin_dir_url(__DIR__) . mnet_normalize_chunks('/../../dist/js/mnetAdstxtParseWorker.js'); ?>',
    };
</script>

<div id="mnet-vue-app">
    <div id="mnet-vue-normal-app">
        <?php include __DIR__ . "/mnetBundleLoader.php"; ?>
    </div>
</div>

<?php include __DIR__ . "/mnetAnalytics.php"; ?>
<?php include __DIR__ . "/mnetScripts.php"; ?>
